# mahdi-brightness-controller

**mahdi-brightness-controller** is a simple and elegant GUI tool to adjust screen brightness and enable eye-protecting night mode on Linux systems. Built using `tkinter`, it allows users to tweak display brightness and warmth (gamma) for better comfort.

## ✨ Features

- Adjust screen brightness (0.1 to 1.0)
- Night mode warmth control (gamma tuning)
- Simple, modern, dark-themed interface
- Real-time preview
- Works with `xrandr` (Linux only)

## 🖥️ Requirements

- Linux system with `xrandr` installed
- Python 3.6+

## 📦 Installation

```bash
pip install mahdi-brightness-controller
```

## 🚀 Usage

After installation, launch with:

```bash
brightness-controller
```

## 📄 License

MIT © 2025 Muhammad Mahdi Hasan

---

### 👤 Author

- GitHub: [@oxl_mahdi](https://github.com/oxl-mahdi)
- PyPI: [mahdi-brightness-controller](https://pypi.org/project/mahdi-brightness-controller/)
